Countries

Get Countries

GET
/api/v2/countries

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Sets the limit

Range1 <= value <= 500
Default10
offset?integer

Sets the offset

Range0 <= value
Default0
sort_order?string

Sorts the items in ascending or descending order

Default"desc"

Value in

  • "asc"
  • "desc"
sort_by?string

Sorts the items by a specified value

Value in

  • "alpha2Code"
  • "alpha3Code"
  • "numericCode"
  • "name"
  • "isEnabled"
filter?unknown

Filters the items by a specified value

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/countries?limit=10&offset=0&sort_order=desc&sort_by=name" \  -H "accept-language: ja"
{  "total": 0,  "data": [    {      "id": 826,      "name": "United Kingdom",      "alpha2Code": "GB",      "alpha3Code": "GBR",      "numericCode": "826",      "isEnabled": true    }  ]}
{  "error": {    "message": "Bad Request",    "code": 0,    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}